Bug 22828 - dri fails for XFree86-4.0.2-0.1
dri fails for XFree86-4.0.2-0.1
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-25 18:03 EST by Sammy
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-30 14:53:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sammy 2000-12-25 18:03:03 EST
Here is the error message:

(0): [drm] loaded kernel module "r128"
(0): [drm] created "r128" driver at busid "PCI:1:0:0"
(0): [drm] added 4096 byte SAREA at 0xcbd93000
(0): [drm] mapped SAREA 0xcbd93000 to 0x40018000
(0): [drm] framebuffer handle = 0xe4000000
(0): [drm] added 1 reserved context for kernel
(EE) R128(0): R128DRIScreenInit failed (DRM version = 1.0.0, expected
2.1.x).  Disabling DRI.
(0): [drm] failed to remove DRM signal
handler
Comment 1 Need Real Name 2000-12-27 12:35:49 EST
If you want to get this working in a pinch, do the following.

Make sure /usr/include/{asm,linux} point to your current kernel.
Remove the r128.o module.
rmmod r128

Get the XFree86 src.rpm file and install it.
prepare the source tree
rpm -bp XFree86.spec

build the r128 drm
cd
/usr/src/redhat/BUILD/XFree86-4.0.2/xc/programs/Xserver/hw/xfree86/os-support/linux/drm/kernel

make -f Makefile.linux r128.o

install the module over any older module
/lib/modules/YOUR_2.4_KERNEL/kernel/drivers/char/drm/r128.o

depmod -a

run X
Comment 2 Sammy 2000-12-30 14:53:22 EST
Thanks that did it..the only difference was that I am using the 2.2 kernel.
Thanks

Note You need to log in before you can comment on or make changes to this bug.